Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.util
Class FileUtils

    java.lang.Object
      net.sf.statcvs.util.FileUtils

public class FileUtils
extends Object

Some helpful file functions TODO: Remove redundancy, write tests

Version:
  $Id: FileUtils.java,v 1.21 2009/08/19 22:11:15 benoitx Exp $
Author:
  Lukasz Pekacki

Constructor Summary
`FileUtils()`

Method Summary
`static void` | `copyFile(InputStream in, File out)` Copy a InputStream into a File
`static void` | `copyFile(String inputName, String destination)` Copies a file to a specified destination
`static String` | `getAbsoluteName(String path, String filename)` Concatenates `path` and filename to an absolute filename by inserting the system file separator.
`static String` | `getDefaultDirSeparator()` Returns the java path separator
`static String` | `getDirectoryName(String path)` Returns the last component of a directory path.
`static String` | `getDirSeparator()` Returns the os dependent path separator
`static String` | `getFilenameWithoutPath(String filename)` Takes a filename with path and returns just the filename.
`static String` | `getParentDirectoryPath(String path)` Returns all but the last component of a directory path
`static String` | `getPathWithoutEndingSlash(String path)` Deletes the ending directory separator of a given `path` if there is one and returns the result.
`static String` | `readTextFromURL(String urlTxt)` Read a full file into a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### copyFile

    public static void copyFile(String inputName,
                                String destination)
                         throws FileNotFoundException,
                                IOException

  Copies a file to a specified destination

  Parameters:
    `inputName` - File
    `destination` - Filename
  Throws:
    `FileNotFoundException` - if no input file exists
    `IOException` - if cannot read or write

### copyFile

    public static void copyFile(InputStream in,
                                File out)
                         throws FileNotFoundException,
                                IOException

  Copy a InputStream into a File

  Parameters:
    `in` - source
    `out` - destination
  Throws:
    `FileNotFoundException` - if not found
    `IOException` - if read/write error

### getFilenameWithoutPath

    public static String getFilenameWithoutPath(String filename)

  Takes a filename with path and returns just the filename.

  Parameters:
    `filename` - a filename with path
  Returns:
    just the filename part

### getDirSeparator

    public static String getDirSeparator()

  Returns the os dependent path separator

  Returns:
    String os dependent path separator

### getDefaultDirSeparator

    public static String getDefaultDirSeparator()

  Returns the java path separator

  Returns:
    String java path separator

### getPathWithoutEndingSlash

    public static String getPathWithoutEndingSlash(String path)

  Deletes the ending directory separator of a given `path` if there is one and returns the result. Otherwise the path is unhandled returned.

  The separator is the one used bye the underlying operating system and it is the one returned bye the `getDirSeparator()` method.

  Parameters:
    `path` - The `path` to delete the directory separator from.
  Returns:
    The `path` without the ending directory separator.
  See Also:
    `getDirSeparator()`

### getAbsoluteName

    public static String getAbsoluteName(String path,
                                         String filename)

  Concatenates `path` and filename to an absolute filename by inserting the system file separator.

  Parameters:
    `path` - The path to use.
    `filename` - The filename for concatenation.
  Returns:
    The concatenated absolute filename.

### getDirectoryName

    public static String getDirectoryName(String path)

  Returns the last component of a directory path.

  Parameters:
    `path` - a directory, ending in "/", for example "src/net/sf/statcvs/"
  Returns:
    the last component of the path, for example "statcvs"

### getParentDirectoryPath

    public static String getParentDirectoryPath(String path)

  Returns all but the last component of a directory path

  Parameters:
    `path` - a directory, ending in "/", for example "src/net/sf/statcvs/"
  Returns:
    all but the last component of the path, for example "src/net/sf/"

### readTextFromURL

    public static String readTextFromURL(String urlTxt)

  Read a full file into a string.

  Parameters:
    `urlTxt` - URL of the text to get
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD